
From: Pekka Enberg <penberg@cs.helsinki.fi>

This patch makes code static in drivers/block/noop-iosched.c and adds
__init and __exit for module initialization and cleanup functions.

Signed-off-by: Pekka Enberg <penberg@cs.helsinki.fi>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/noop-iosched.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

diff -puN drivers/block/noop-iosched.c~noop-iosched-make-code-static drivers/block/noop-iosched.c
--- 25/drivers/block/noop-iosched.c~noop-iosched-make-code-static	Fri Dec  3 14:03:19 2004
+++ 25-akpm/drivers/block/noop-iosched.c	Fri Dec  3 14:03:19 2004
@@ -17,8 +17,8 @@
 /*
  * See if we can find a request that this buffer can be coalesced with.
  */
-int elevator_noop_merge(request_queue_t *q, struct request **req,
-			struct bio *bio)
+static int elevator_noop_merge(request_queue_t *q, struct request **req,
+			       struct bio *bio)
 {
 	struct list_head *entry = &q->queue_head;
 	struct request *__rq;
@@ -50,14 +50,14 @@ int elevator_noop_merge(request_queue_t 
 	return ELEVATOR_NO_MERGE;
 }
 
-void elevator_noop_merge_requests(request_queue_t *q, struct request *req,
-				  struct request *next)
+static void elevator_noop_merge_requests(request_queue_t *q, struct request *req,
+					 struct request *next)
 {
 	list_del_init(&next->queuelist);
 }
 
-void elevator_noop_add_request(request_queue_t *q, struct request *rq,
-			       int where)
+static void elevator_noop_add_request(request_queue_t *q, struct request *rq,
+				      int where)
 {
 	struct list_head *insert = q->queue_head.prev;
 
@@ -75,7 +75,7 @@ void elevator_noop_add_request(request_q
 		q->last_merge = rq;
 }
 
-struct request *elevator_noop_next_request(request_queue_t *q)
+static struct request *elevator_noop_next_request(request_queue_t *q)
 {
 	if (!list_empty(&q->queue_head))
 		return list_entry_rq(q->queue_head.next);
@@ -94,12 +94,12 @@ static struct elevator_type elevator_noo
 	.elevator_owner = THIS_MODULE,
 };
 
-int noop_init(void)
+static int __init noop_init(void)
 {
 	return elv_register(&elevator_noop);
 }
 
-void noop_exit(void)
+static void __exit noop_exit(void)
 {
 	elv_unregister(&elevator_noop);
 }
_
